#sidebar {
  text-align: left;
  padding: 1rem 1rem;
  background-color: var(--bs-tertiary-bg);
}

#sidebar #title {
  text-align: left;
  margin-bottom: 0;
}

#sidebar-toggle{
  display: none;
}

#collapse-nav {
  margin-top: 1rem;
}

#sidebar .nav-sub-items {
    padding-left: 1rem;
}

#sidebar .nav-pills .nav-link.active, #sidebar .nav-pills .show>.nav-link {
    color: var(--bs-primary);
    background-color: var(--bs-primary-bg-subtle);
}

#sidebar .nav-link {
  color: var(--bs-secondary-color);
}

#sidebar .navbar-toggler-icon {
  background-image: url("data:image/svg+xml,%3csvg viewBox='0 0 30 30' xmlns='http://www.w3.org/2000/svg'%3e%3cpath stroke='rgba(0, 0, 0, 0.5)' stroke-width='2' stroke-linecap='round' stroke-miterlimit='10' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");
}

#sidebar .footer {
  display: none;
}

#page-content {
  margin: 0;
}

#topbar-global {
  position: absolute;
  right: 0;
  /*top:  4.375rem;*/
  padding: 1rem;
  z-index: 12;  /* needs to be on top of topbar-sub */
}

#topbar-sub {
  z-index: 10;
}

#topbar-sub .nav-pills .nav-link {
  padding: 0.375rem;
  border: var(--bs-btn-border-width) solid var(--bs-btn-border-color);
}

#topbar-sub .nav-pills .nav-link.active, #topbar-sub .nav-pills .show>.nav-link {
  color: var(--bs-primary);
  background-color: var(--bs-primary-bg-subtle);
}

@media (min-width: 48em) {
  #sidebar {
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    width: 16rem;
    /*text-align: left;*/
    transition: margin 0.3s ease-in-out, padding 0.3s ease-in-out;
    box-shadow: inset 1px 0 0 rgba(0, 0, 0, .1);
  }

  #sidebar #title {
    margin-right: 0.25rem;
  }

  #sidebar-toggle {
    display: inline-block;
    position: relative;
    top: 0;
    /*right: 1rem;*/
    transition: top 0.3s ease-in-out, right 0.3s ease-in-out;
  }

  /* add negative margin to sidebar to achieve the collapse */
  #sidebar.collapsed {
    margin-left: -12.5rem;
    /*padding-left: 0.5rem;*/
  }

  /* move the sidebar toggle up and right to the top left corner */
  #sidebar.collapsed #sidebar-toggle {
    top: -0.5rem;
    /*left: 0.25rem;*/
  }

  /* move the sidebar navlink icons to right to show them */
  #sidebar.collapsed .nav-link {
    margin-left: 17.75rem;  /* 16+1.5rem is enough but its better centered at 17.75 */
    transition: margin-left 0.3s ease-in-out;
  }

  #sidebar.collapsed .nav-link-label{
    display: none;
  }

  #sidebar.collapsed .nav-sub-items {
    padding-left: 0.075rem;
  }

  #sidebar.collapsed .nav-toggle-caret {
    display: none;
  }

  /* also adjust margin of page content */
  #sidebar.collapsed ~ #page-content {
    margin-left: 3.5rem;
  }

  /* move all contents of navbar other than header (containing toggle) further
     off-screen */
  #sidebar.collapsed > *:not(:first-child) {
    margin-right: 17rem;
    margin-left: -6rem;
  }

  /* Hide the toggle on a large screen */
  #sidebar #navbar-toggle {
    display: none;
  }

  #sidebar #collapse-nav {
    display: block;
  }

  #sidebar .footer {
      display: block;
  }

  #page-content {
    margin-left: 16rem;
    /*margin-right: 0.5rem;*/
    /*margin-top: 2.75rem;*/
    transition: margin-left 0.3s ease-in-out;
  }

  /*#topbar {*/
  /*  position: absolute;*/
  /*  top: 0;*/
  /*  left: 16rem;*/
  /*  right: 0;*/
  /*  padding: 1rem;*/
  /*  transition: left 0.3s ease-in-out;*/
  /*}*/

  /*#topbar.collapsed {*/
  /*  left: 4.5rem;*/
  /*}*/
}


#theme-dropdown .dropdown-menu {
  min-width: 0;
}
